DbLockRequest (Sleepycat Software, Inc. - Berkeley DB Java API)
Keywords: com.sleepycat.db.DbLockRequest,DbLockRequest class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sleepycat.db
Class DbLockRequest

    java.lang.Object
      |
      +--com.sleepycat.db.DbLockRequest

public class DbLockRequest
extends Object

The DbLockRequest object is used to encapsulate a single lock request.

Constructor Summary
`DbLockRequest(int op, int mode, Dbt obj, DbLock lock)` The DbLockRequest constructor constructs a DbLockRequest with the specified operation, mode and lock, for the specified object.
`DbLockRequest(int op, int mode, Dbt obj, DbLock lock, int timeout)` The DbLockRequest constructor constructs a DbLockRequest with the specified operation, mode, lock and timeout for the specified object.

Method Summary
`DbLock` | `get_lock()` Deprecated. As of Berkeley DB 4.2, replaced by `getLock()`
`int` | `get_mode()` Deprecated. As of Berkeley DB 4.2, replaced by `getMode()`
`Dbt` | `get_obj()` Deprecated. As of Berkeley DB 4.2, replaced by `getObj()`
`int` | `get_op()` Deprecated. As of Berkeley DB 4.2, replaced by `getOp()`
`DbLock` | `getLock()` The DbLockRequest.getLock method returns the lock reference.
`int` | `getMode()` The DbLockRequest.getMode method returns the lock mode.
`Dbt` | `getObj()` The DbLockRequest.getObj method returns the object protected by this lock.
`int` | `getOp()` The DbLockRequest.getOp method returns the operation.
`int` | `getTimeout()` The DbLockRequest.getTimeout method returns the lock timeout value.
`void` | `set_lock(DbLock lock)` Deprecated. As of Berkeley DB 4.2, replaced by `setLock(DbLock)`
`void` | `set_mode(int mode)` Deprecated. As of Berkeley DB 4.2, replaced by `setMode(int)`
`void` | `set_obj(Dbt obj)` Deprecated. As of Berkeley DB 4.2, replaced by `setObj(Dbt)`
`void` | `set_op(int op)` Deprecated. As of Berkeley DB 4.2, replaced by `setOp(int)`
`void` | `setLock(DbLock lock)` The DbLockRequest.setLock method sets the lock reference.
`void` | `setMode(int mode)` The DbLockRequest.setMode method sets the lock mode.
`void` | `setObj(Dbt obj)` The DbLockRequest.setObj method sets the lock object.
`void` | `setOp(int op)` The DbLockRequest.setOp method sets the operation.
`void` | `setTimeout(int timeout)` The DbLockRequest.setTimeout method sets the lock timeout value.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DbLockRequest

    public DbLockRequest(int op,
                         int mode,
                         Dbt obj,
                         DbLock lock)

  The DbLockRequest constructor constructs a DbLockRequest with the specified operation, mode and lock, for the specified object.

Parameters:
  `lock` - the lock type for the object.
  `mode` - the permissions mode for the object.
  `obj` - the object being locked.
  `op` - The op parameter operation being performed.

### DbLockRequest

    public DbLockRequest(int op,
                         int mode,
                         Dbt obj,
                         DbLock lock,
                         int timeout)

  The DbLockRequest constructor constructs a DbLockRequest with the specified operation, mode, lock and timeout for the specified object.

Parameters:
  `lock` - the lock type for the object.
  `mode` - the permissions mode for the object.
  `obj` - the object being locked.
  `op` - the operation being performed.
  `timeout` - the timeout value for the lock.

Method Detail

### setLock

    public void setLock(DbLock lock)

  The DbLockRequest.setLock method sets the lock reference.

  Parameters:
    `lock` - the lock reference.

### setMode

    public void setMode(int mode)

  The DbLockRequest.setMode method sets the lock mode.

  Parameters:
    `mode` - the lock mode.

### setObj

    public void setObj(Dbt obj)

  The DbLockRequest.setObj method sets the lock object.

  Parameters:
    `obj` - the lock object.

### setOp

    public void setOp(int op)

  The DbLockRequest.setOp method sets the operation.

  Parameters:
    `op` - the operation.

### setTimeout

    public void setTimeout(int timeout)

  The DbLockRequest.setTimeout method sets the lock timeout value.

  Parameters:
    `timeout` - the lock timeout value.

### set_lock

    public void set_lock(DbLock lock)

  Deprecated. As of Berkeley DB 4.2, replaced by `setLock(DbLock)`

### set_mode

    public void set_mode(int mode)

  Deprecated. As of Berkeley DB 4.2, replaced by `setMode(int)`

### set_obj

    public void set_obj(Dbt obj)

  Deprecated. As of Berkeley DB 4.2, replaced by `setObj(Dbt)`

### set_op

    public void set_op(int op)

  Deprecated. As of Berkeley DB 4.2, replaced by `setOp(int)`

### getLock

    public DbLock getLock()

  The DbLockRequest.getLock method returns the lock reference.

  Returns:
    The DbLockRequest.getLock method returns the lock reference.

### getMode

    public int getMode()

  The DbLockRequest.getMode method returns the lock mode.

  Returns:
    The DbLockRequest.getMode method returns the lock mode.

### getObj

    public Dbt getObj()

  The DbLockRequest.getObj method returns the object protected by this lock.

  Returns:
    The DbLockRequest.getObj method returns the object protected by this lock.

### getOp

    public int getOp()

  The DbLockRequest.getOp method returns the operation.

  Returns:
    The DbLockRequest.getOp method returns the operation.

### getTimeout

    public int getTimeout()

  The DbLockRequest.getTimeout method returns the lock timeout value.

  Returns:
    The DbLockRequest.getTimeout method returns the lock timeout value.

### get_lock

    public DbLock get_lock()

  Deprecated. As of Berkeley DB 4.2, replaced by `getLock()`

  Returns:
    Description of the Return Value

### get_mode

    public int get_mode()

  Deprecated. As of Berkeley DB 4.2, replaced by `getMode()`

  Returns:
    Description of the Return Value

### get_obj

    public Dbt get_obj()

  Deprecated. As of Berkeley DB 4.2, replaced by `getObj()`

  Returns:
    Description of the Return Value

### get_op

    public int get_op()

  Deprecated. As of Berkeley DB 4.2, replaced by `getOp()`

  Returns:
    Description of the Return Value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Berkeley DB version 4.2.52
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996-2003 Sleepycat Software, Inc. - All rights reserved.